Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006855TestLinkTest Project Managementpublic2014-12-24 16:102015-06-21 10:15
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006855: Test project table - add pagination
DescriptionFirst implementation using: DataTables is a plug-in for the jQuery Javascript library (https://datatables.net/ [^])

Some minor changes to css ( )

/**
 * controls if pagination (via Javascript) will be enabled
 */
$tlCfg->gui->projectView = new stdClass();
$tlCfg->gui->projectView->pagination = new stdClass();
$tlCfg->gui->projectView->pagination->enabled = true;

see https://docs.google.com/file/d/0B-hNfKQRC5a5Q0JZcUhTd3BQTEU/edit?usp=drivesdk [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006856closedfman Test project & Test Plan Role assignment - add pagination 
related to 0007170closedfman Test plan table - add pagination 
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022418)
fman (administrator)
2014-12-24 16:52

https://gitorious.org/testlink-ga/testlink-code/commits/55778c9d26a4e0112851a1b747baa31c2714012e [^]

- Issue History
Date Modified Username Field Change
2014-12-24 16:10 fman New Issue
2014-12-24 16:10 fman Status new => assigned
2014-12-24 16:10 fman Assigned To => fman
2014-12-24 16:30 fman Description Updated View Revisions
2014-12-24 16:40 fman Description Updated View Revisions
2014-12-24 16:40 fman View Status private => public
2014-12-24 16:52 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-12-24 16:52 fman Note Added: 0022418
2014-12-24 16:52 fman Status assigned => resolved
2014-12-24 16:52 fman Fixed in Version => 1.9.13 (2015 #1)
2014-12-24 16:52 fman Resolution open => fixed
2014-12-24 16:54 fman Relationship added child of 0006609
2014-12-24 18:25 fman Issue cloned: 0006856
2014-12-24 18:25 fman Relationship added related to 0006856
2014-12-31 14:22 fman Status resolved => closed
2015-06-21 10:15 fman Issue cloned: 0007170
2015-06-21 10:15 fman Relationship added related to 0007170



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker